The "List Shipping Carrier" API allows to retrieve a paginated list of shipping carrier.

http
GET https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
shippingCarrierIdstringYes6578278e879ad2646715ba9cID of the shipping carrier that needs to be returned

Query parameters

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYes

Responses

200 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

  • data (object, required): Shipping carrier data

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/store/shipping-carrier/YOUR_shippingCarrierId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?